# Cyanovision Nix Flake

## Commands

### Build a Jupiterhub Docker Container

```sh
nix build .#cyanovision-docker -o ./build/cyanovision.tgz
```

```sh
docker load < ./build/cyanovision.tgz
docker run --rm -it -p 8888:8888 -v $HOME:/mnt cyanovision
```

Now [access JupyterHub webinterface](http://127.0.0.1:8888/lab) to develop Notebooks.

### Run the Cyanovision UI

```sh
nix run https://code.curious.bio/curious.bio/nix-cyanovision#.
```

## Links

### Cyanovision Project

* <https://github.com/IoannouPanayiotis/Sensor-CDT-Team-Challenge-2021-2022>

### Nix Paketmanager

* <https://nixos.org/download.html>

### Jupiterhub

* <https://jupyter.org/hub>
* <https://jupyter-tutorial.readthedocs.io/>
